#############################################################################
# Makefile for building: edisassm
# Generated by qmake (2.01a) (Qt 4.5.3) on: Fri Oct 16 16:30:00 2009
# Project:  edisassm.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile edisassm.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = 
CFLAGS        = -pipe -march=native -O2 -fomit-frame-pointer -pipe -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -march=native -O2 -fomit-frame-pointer -pipe -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)   
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = edisassm.cpp \
		Instruction64.cpp 
OBJECTS       = edisassm.o \
		Instruction64.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		edisassm.pro
QMAKE_TARGET  = edisassm
DESTDIR       = 
TARGET        = edisassm

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: edisassm.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -unix -o Makefile edisassm.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile edisassm.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/edisassm1.0.0 || $(MKDIR) .tmp/edisassm1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/edisassm1.0.0/ && (cd `dirname .tmp/edisassm1.0.0` && $(TAR) edisassm1.0.0.tar edisassm1.0.0 && $(COMPRESS) edisassm1.0.0.tar) && $(MOVE) `dirname .tmp/edisassm1.0.0`/edisassm1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/edisassm1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


compiler_rcc_make_all:
compiler_rcc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

edisassm.o: edisassm.cpp Instruction.h \
		edisassm_types.h \
		edisassm_util.h \
		edisassm_exception.h \
		Operand.h \
		Operand.tcc \
		REX.h \
		Instruction.tcc \
		OPTable_FPU.tcc \
		OPTable_1byte.tcc \
		OPTable_2byte.tcc \
		OPTable_3byte.tcc \
		OPTable_Group1.tcc \
		OPTable_Group2.tcc \
		OPTable_Group3.tcc \
		OPTable_Group4.tcc \
		OPTable_Group5.tcc \
		OPTable_Group6.tcc \
		OPTable_Group7.tcc \
		OPTable_Group8.tcc \
		OPTable_Group9.tcc \
		OPTable_Group10.tcc \
		OPTable_Group11.tcc \
		OPTable_Group12.tcc \
		OPTable_Group13.tcc \
		OPTable_Group14.tcc \
		OPTable_Group15.tcc \
		OPTable_Group16.tcc \
		OPTable_Group17.tcc \
		ModRM.h \
		SIB.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o edisassm.o edisassm.cpp

Instruction64.o: Instruction64.cpp Instruction.h \
		edisassm_types.h \
		edisassm_util.h \
		edisassm_exception.h \
		Operand.h \
		Operand.tcc \
		REX.h \
		Instruction.tcc \
		OPTable_FPU.tcc \
		OPTable_1byte.tcc \
		OPTable_2byte.tcc \
		OPTable_3byte.tcc \
		OPTable_Group1.tcc \
		OPTable_Group2.tcc \
		OPTable_Group3.tcc \
		OPTable_Group4.tcc \
		OPTable_Group5.tcc \
		OPTable_Group6.tcc \
		OPTable_Group7.tcc \
		OPTable_Group8.tcc \
		OPTable_Group9.tcc \
		OPTable_Group10.tcc \
		OPTable_Group11.tcc \
		OPTable_Group12.tcc \
		OPTable_Group13.tcc \
		OPTable_Group14.tcc \
		OPTable_Group15.tcc \
		OPTable_Group16.tcc \
		OPTable_Group17.tcc \
		ModRM.h \
		SIB.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o Instruction64.o Instruction64.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

